0

Upgraded to 1.9.0.1

When we now attempt to manage customers we can search a customer record but when we choose any record to look at it or edit it we get:

Fatal error: Call to undefined method Mage_Customer_Helper_Data::getIsRequireAdminUserToChangeUserPassword() in /home1/{oursite}/public_html/[oursite].com/app/code/core/Mage/Adminhtml/Block/Customer/Edit/Tab/Account.php on line 205

I cannot tell what it's actually asking me to do here. Help?!

1 Answer 1

1

Looking at app/code/core/Mage/Adminhtml/Block/Customer/Edit/Tab/Account.php I can confirm that there is no such function getIsRequireAdminUserToChangeUserPassword().

Which is obviously not present in Mage_Customer_Helper_Data.php file too.

So, I would say when you upgraded you didn't replace magento fresh files for this version, at least Mage_Customer_Helper_Data.php file is not correctly updated.

I would try to replace these both files and see if that helps.

I doubt since it is not successfully upgraded, there are other issues too.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.